---
layout: markdown_page
title: "Wayne Haber's README"
job: "Engineering Director"
---

### On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

# Priorities

I’m the director of development for the [secure](/handbook/engineering/development/sec/secure/), [govern](/handbook/engineering/development/sec/govern/), [data science](/handbook/engineering/development/data-science/), and [growth](/handbook/engineering/development/growth/) sub-departments. 

In addition to leading development for these development sub-departments, I also focus on:

* Co facilitating the [AI integration working group](/company/team/structure/working-groups/ai-integration/)
* Protecting GitLab from attackers
* Coordinating escalations for specific large customers
* Public speaking on various topics
* Mentoring inside and outside of GitLab

# Prioritization and results philosphy

* Teams determine high confidence due dates on the highest priority items.
* Teams do a [blameless RCA](/handbook/customer-success/professional-services-engineering/workflows/internal/root-cause-analysis.html) if those due dates are significantly missed. 
* Teams say no to or deprioritize lower priority things in order to deliver [results](/handbook/values/#efficiency) on the highest priority items.  
* Teams depend on their [stable counterparts](/blog/2018/10/16/an-ode-to-stable-counterparts/) in product management, quality, and design to help with deciding on priorities and then achieving them
* Teams publish weekly updates on the highest priority items to keep the focus on them and to keep them on track


# Background

I’m a veteran of three successful startups (including GitLab) and have experience in multiple areas, including healthcare, finance, and security.

Links about Wayne:
* [GitLab](https://gitlab.com/wayne)
* [LinkedIn](https://www.linkedin.com/in/waynehaber/)
* [WayneHaber.com](https://www.waynehaber.com)

# How to collaborate with Wayne

* I subscribe to [servant-leadership](https://en.wikipedia.org/wiki/Servant_leadership)
* Continuous learning is fundamental to me. I read approximately one book weekly and aspire to take one online class every month.
* I subscribe to the philosophy of “saying what you are going to do and doing what you say.”
* I am an advocate for remote work because it is highly effective for both the company and the individual.
* At work, nothing makes me happier than when:
  * A user benefits from a change developed by my team
  * A prospect becomes a customer because of a feature developed by my team.
  * A team member learns something new and expands their horizons
  * A process or procedure, or technology is improved that benefits the overall company, team members, or the technology industry as a whole
* I prefer to use this [1-1 format](/handbook/leadership/1-1/suggested-agenda-format/)
* I do skip-level meetings with those who work for my direct reports every three months. I am always available for ad-hoc discussions as well.
* Some of my favorite business books include:
  * [How to Win Friends and Influence People](https://www.amazon.com/gp/product/B004U7G81O)
  * [The Five Dysfunctions of a Team](https://www.amazon.com/gp/product/B006960LQW)
  * [The Phoenix Project](https://www.amazon.com/Phoenix-Project-DevOps-Helping-Business-ebook/dp/B078Y98RG8)
  * [Start with Why](https://www.amazon.com/gp/product/B002Q6XUE4)
* I am in [Atlanta, GA, USA](https://en.wikipedia.org/wiki/Atlanta) (Eastern US).
* I am most productive in the morning.
* When reaching out to me, my preferences are:
  * Tag me in a merge request
  * Tag me in an issue
  * Tag me in a message in a Slack channel
  * Send me a 1:1 message in Slack
  * Send me an email
* I prefer that, when feasible, all recorded meetings should be made public on GitLab Unfiltered. I continue to be pleaseantly surprised by how this can increase collaboration inside and outside the team.
* I always try to explain the “why". Engineers are often asked to focus on the “what” and “how”.  However, explaining the "why" makes sure they are engaged and also enables the engineers to find better ways to achieve the goals.

# Engineering Director shadow program

I created and continue to operate the [Engineering director shadow program](/handbook/engineering/development/shadow/director-shadow-program.html), which allows anyone at GitLab to shadow me for a week and provides mentoring, learning opportunities, and career development exploration.

# Dashboards I use

I use these dashboards to inform me on metrics for my teams:

* [Cross functional prioritization](https://app.periscopedata.com/app/gitlab/1042933/Cross-Functional-Prioritization)
* [Merge request trends](https://app.periscopedata.com/app/gitlab/976854/Merge-Request-Types-Detail)

Corresponding handbook pages:
* [Secure](https://about.gitlab.com/handbook/engineering/development/sec/secure/#cross-functional-backlog)
* [Govern](https://about.gitlab.com/handbook/engineering/development/sec/govern/#cross-functional-backlog)
* [Data Science](https://about.gitlab.com/handbook/engineering/development/data-science/#dashboards)
* [Growth](https://about.gitlab.com/handbook/engineering/development/growth/#cross-functional-backlog)

# What I am working on improving

Please be an [accountability partner](https://medium.com/@MaryLouWrites/accountability-partners-what-are-they-and-how-do-i-get-some-c5ebd1a828ef) for me on the following items:

* When I make requests or ask questions, always include the priority and expected time frames 
* Use my [standing desk](https://www.webmd.com/fitness-exercise/standing-desks-help-beat-inactivity) at least two hours a day.

# 2023 Q2 OKRs

[OKR Search](https://gitlab.com/gitlab-com/gitlab-OKRs/-/issues/?sort=created_date&state=opened&assignee_username%5B%5D=wayne&type%5B%5D=objective&milestone_title=FY24-Q2&first_page_size=20)

Themes:
* AI in everything we do
* Deliver on high priority product roadmap items for secure, govern, growth, and data science
* Growth of team members (hiring + training)
* Application health (error budgets, burndown UX issues, component upgrades, cross-functional collaboration)

# 2023 Q3 OKRS

[OKR Search](https://gitlab.com/gitlab-com/gitlab-OKRs/-/issues/?sort=created_date&state=opened&assignee_username%5B%5D=wayne&milestone_title=FY24-Q3&type%5B%5D=objective&first_page_size=20)
